<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::impl::potts_flow_graph&lt; potts_problem &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>impl</b></li><li class="navelem"><a class="el" href="classdlib_1_1impl_1_1potts__flow__graph.html">potts_flow_graph</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1impl_1_1potts__flow__graph-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::impl::potts_flow_graph&lt; potts_problem &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1impl_1_1potts__flow__graph_1_1in__edge__iterator.html">in_edge_iterator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1impl_1_1potts__flow__graph_1_1out__edge__iterator.html">out_edge_iterator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a0f604c5487d9a655b2f37fe871a7dc3f"><td class="memItemLeft" align="right" valign="top"><a id="a0f604c5487d9a655b2f37fe871a7dc3f"></a>
typedef potts_problem::value_type&#160;</td><td class="memItemRight" valign="bottom"><b>edge_type</b></td></tr>
<tr class="separator:a0f604c5487d9a655b2f37fe871a7dc3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9188c3888743fd6d0e895dc0b744c859"><td class="memItemLeft" align="right" valign="top"><a id="a9188c3888743fd6d0e895dc0b744c859"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>potts_flow_graph</b> (potts_problem &amp;g_)</td></tr>
<tr class="separator:a9188c3888743fd6d0e895dc0b744c859"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b29697b5035787859a98abadc603f99"><td class="memItemLeft" align="right" valign="top"><a id="a2b29697b5035787859a98abadc603f99"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>number_of_nodes</b> () const</td></tr>
<tr class="separator:a2b29697b5035787859a98abadc603f99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a146ae3752cd5e9e6806812307304c4e9"><td class="memItemLeft" align="right" valign="top"><a id="a146ae3752cd5e9e6806812307304c4e9"></a>
<a class="el" href="classdlib_1_1impl_1_1potts__flow__graph_1_1out__edge__iterator.html">out_edge_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>out_begin</b> (const unsigned long &amp;it) const</td></tr>
<tr class="separator:a146ae3752cd5e9e6806812307304c4e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafbf9af5f6748ca47b29aaa782d5c6bf"><td class="memItemLeft" align="right" valign="top"><a id="aafbf9af5f6748ca47b29aaa782d5c6bf"></a>
<a class="el" href="classdlib_1_1impl_1_1potts__flow__graph_1_1in__edge__iterator.html">in_edge_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>in_begin</b> (const unsigned long &amp;it) const</td></tr>
<tr class="separator:aafbf9af5f6748ca47b29aaa782d5c6bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d0b3de3c45ce0f64a86246f3f0aea56"><td class="memItemLeft" align="right" valign="top"><a id="a9d0b3de3c45ce0f64a86246f3f0aea56"></a>
<a class="el" href="classdlib_1_1impl_1_1potts__flow__graph_1_1out__edge__iterator.html">out_edge_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>out_end</b> (const unsigned long &amp;it) const</td></tr>
<tr class="separator:a9d0b3de3c45ce0f64a86246f3f0aea56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0ccf091e53312b07548c6ffc3c609e1"><td class="memItemLeft" align="right" valign="top"><a id="af0ccf091e53312b07548c6ffc3c609e1"></a>
<a class="el" href="classdlib_1_1impl_1_1potts__flow__graph_1_1in__edge__iterator.html">in_edge_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>in_end</b> (const unsigned long &amp;it) const</td></tr>
<tr class="separator:af0ccf091e53312b07548c6ffc3c609e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fd4390fd7e4b8a563d73707da5df7da"><td class="memTemplParams" colspan="2"><a id="a7fd4390fd7e4b8a563d73707da5df7da"></a>
template&lt;typename iterator_type &gt; </td></tr>
<tr class="memitem:a7fd4390fd7e4b8a563d73707da5df7da"><td class="memTemplItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memTemplItemRight" valign="bottom"><b>node_id</b> (const iterator_type &amp;it) const</td></tr>
<tr class="separator:a7fd4390fd7e4b8a563d73707da5df7da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d29fd8877dd3d819a121e5578b0d9ef"><td class="memItemLeft" align="right" valign="top"><a id="a4d29fd8877dd3d819a121e5578b0d9ef"></a>
edge_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_flow</b> (const unsigned long &amp;it1, const unsigned long &amp;it2) const</td></tr>
<tr class="separator:a4d29fd8877dd3d819a121e5578b0d9ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66d9dfdbb3ae312a90743c0e7dac0230"><td class="memItemLeft" align="right" valign="top"><a id="a66d9dfdbb3ae312a90743c0e7dac0230"></a>
edge_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_flow</b> (const <a class="el" href="classdlib_1_1impl_1_1potts__flow__graph_1_1out__edge__iterator.html">out_edge_iterator</a> &amp;it) const</td></tr>
<tr class="separator:a66d9dfdbb3ae312a90743c0e7dac0230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89acfa85dee0a9937cec627809db05c7"><td class="memItemLeft" align="right" valign="top"><a id="a89acfa85dee0a9937cec627809db05c7"></a>
edge_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_flow</b> (const <a class="el" href="classdlib_1_1impl_1_1potts__flow__graph_1_1in__edge__iterator.html">in_edge_iterator</a> &amp;it) const</td></tr>
<tr class="separator:a89acfa85dee0a9937cec627809db05c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8708ba4d204c01734bccd7a946a7cdc2"><td class="memItemLeft" align="right" valign="top"><a id="a8708ba4d204c01734bccd7a946a7cdc2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>adjust_flow</b> (const unsigned long &amp;it1, const unsigned long &amp;it2, const edge_type &amp;value)</td></tr>
<tr class="separator:a8708ba4d204c01734bccd7a946a7cdc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09c0d422d4496576b1c0c270ef4c1ac9"><td class="memItemLeft" align="right" valign="top"><a id="a09c0d422d4496576b1c0c270ef4c1ac9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_label</b> (const unsigned long &amp;it, node_label value)</td></tr>
<tr class="separator:a09c0d422d4496576b1c0c270ef4c1ac9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba2c8c92fcbde69182ee93e8d0716536"><td class="memItemLeft" align="right" valign="top"><a id="aba2c8c92fcbde69182ee93e8d0716536"></a>
node_label&#160;</td><td class="memItemRight" valign="bottom"><b>get_label</b> (const unsigned long &amp;it) const</td></tr>
<tr class="separator:aba2c8c92fcbde69182ee93e8d0716536"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a88510bb1f4ca29309e105150e6c7c9b9"><td class="memItemLeft" align="right" valign="top">potts_problem &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1impl_1_1potts__flow__graph.html#a88510bb1f4ca29309e105150e6c7c9b9">g</a></td></tr>
<tr class="separator:a88510bb1f4ca29309e105150e6c7c9b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae627665ae6936a7776956bb21230a114"><td class="memItemLeft" align="right" valign="top"><a id="ae627665ae6936a7776956bb21230a114"></a>
<a class="el" href="classdlib_1_1impl_1_1flows__container.html">flows_container</a>&lt; potts_problem &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>flows</b></td></tr>
<tr class="separator:ae627665ae6936a7776956bb21230a114"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14655ef43084e62794601cc3f4cc2b70"><td class="memItemLeft" align="right" valign="top"><a id="a14655ef43084e62794601cc3f4cc2b70"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; edge_type, 0, 2 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>source_flows</b></td></tr>
<tr class="separator:a14655ef43084e62794601cc3f4cc2b70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d7f48c2454b7b8d64c4ca73dae14884"><td class="memItemLeft" align="right" valign="top"><a id="a7d7f48c2454b7b8d64c4ca73dae14884"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; edge_type, 0, 2 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>sink_flows</b></td></tr>
<tr class="separator:a7d7f48c2454b7b8d64c4ca73dae14884"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56f679e787c26e7528e8bac171925fd4"><td class="memItemLeft" align="right" valign="top"><a id="a56f679e787c26e7528e8bac171925fd4"></a>
node_label&#160;</td><td class="memItemRight" valign="bottom"><b>source_label</b></td></tr>
<tr class="separator:a56f679e787c26e7528e8bac171925fd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae710868880a8f87bfebadaf7b966a2a1"><td class="memItemLeft" align="right" valign="top"><a id="ae710868880a8f87bfebadaf7b966a2a1"></a>
node_label&#160;</td><td class="memItemRight" valign="bottom"><b>sink_label</b></td></tr>
<tr class="separator:ae710868880a8f87bfebadaf7b966a2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a88510bb1f4ca29309e105150e6c7c9b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88510bb1f4ca29309e105150e6c7c9b9">&#9670;&nbsp;</a></span>g</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename potts_problem&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">potts_problem&amp; <a class="el" href="classdlib_1_1impl_1_1potts__flow__graph.html">dlib::impl::potts_flow_graph</a>&lt; potts_problem &gt;::g</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">This is a utility class used by dlib::min_cut to convert a potts_problem 
into the kind of flow graph expected by the min_cut object's main block
of code.

Within this object, we will use the convention that one past 
potts_problem::number_of_nodes() is the source node and two past is 
the sink node.
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="find__max__factor__graph__potts_8h_source.html">find_max_factor_graph_potts.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
